Bug 1566630 - API in satellite 6.3 to view location parameter does not resolve the location name with location ID as it used to in satellite 6.2
Summary: API in satellite 6.3 to view location parameter does not resolve the location...
Keywords:
Status: POST
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Organizations and Locations
Version: 6.3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: 6.10.0
Assignee: Marek Hulan
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 16:14 UTC by Amaani S Karimi
Modified: 2020-11-17 14:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 26871 0 Normal Closed API in satellite 6.3 to view location parameter does not resolve the location name with location ID as it used to in sat... 2020-11-13 19:47:20 UTC
Red Hat Knowledge Base (Solution) 4124211 0 Customize or extend None API to view location parameter fails to resolve the location name with its location ID in Red Hat Satellite 6. 2019-05-09 04:29:15 UTC

Description Amaani S Karimi 2018-04-12 16:14:56 UTC
Description of problem:

We create parameters in Locations using API. An example of the location XYZ

In Satellite 6.2, we can list the parameters with the URL:

https://satellite62.example.com/api/v2/locations/XYZ/parameters/

However, in Satellite 6.3, we don't have the same results, we get the error:
                    "Location with id XYZ not found"

We have to use the ID (id of XYZ is 10) instead to get correct parameters:

https://satellite63.example.com/api/v2/locations/api/v2/locations/10/parameters/


Version-Release number of selected component (if applicable):
satellite 6.3.0


How reproducible:

100% reproducible by URL mentioned and step mentioned in the description.

API call is same in the APIDOC of satellite 6.2 and satellite 6.3 for listing out parameters associated with a location.


             "GET /api/locations/:location_id/parameters"

  
however, in 6.2 somehow it was resolving the name of the location to its id whereas in 6.3 it is not doing the same thing, might be there is some change in code.

Actual results:

while listing the parameters with the URL:

https://satellite62.example.com/api/v2/locations/XYZ/parameters/

in Satellite 6.3, we get the error:
                    "Location with id XYZ not found"   -->>  XYZ is the location name 


Expected results:


while listing the parameters with the URL:

https://satellite62.example.com/api/v2/locations/XYZ/parameters/

in Satellite 6.3, we should get parameters listed for XYZ location i.e: hostname should resolve id automatically as it used to do in satellite 6.2.

Comment 3 Marek Hulan 2019-05-24 17:54:44 UTC
Created redmine issue https://projects.theforeman.org/issues/26871 from this bug

Comment 4 Bryan Kearney 2019-05-24 18:01:51 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 5 Bryan Kearney 2019-05-24 18:01:52 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 6 Bryan Kearney 2020-11-08 20:06:26 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/26871 has been resolved.


Note You need to log in before you can comment on or make changes to this bug.